var iStep = 15;
var offset = 0;
var bShowNoResult = true;

var status = 'ST0';
var delOrderID = '';

var arrInsuracnesList = new Array();

function InsuranceItem(_kdID,_insuranceID,_insuranceStatus,_insuranceCode,_companyCode,_companyName,_companyIconUrl,_fee,_stuName,_aName)
{
    this.kdID = _kdID;
	this.insuranceID = _insuranceID;
	this.insuranceStatus = _insuranceStatus;
	this.insuranceCode = _insuranceCode;
	this.companyCode = _companyCode;
	this.companyName=_companyName;
	this.companyIconUrl = _companyIconUrl;
	this.fee = _fee;
	this.stuName = _stuName;
	this.aName = _aName;
}

function showNoOrderMessage()
{
	var noOrderObj = document.getElementById("id_show_no_order_infor"); 
	noOrderObj.className = "ub-fv ub ub-ac ub-pc  sc-text  ub-ver";
}

function hideNoOrderMessage()
{
	var noOrderObj = document.getElementById("id_show_no_order_infor"); 
	noOrderObj.className = "uhide";
}

function getInsuranceListArr(_data)
{
	if(0 == _data.length)
	{
		if(bShowNoResult)
		{
			showNoOrderMessage();
		}
		else
		{
			uexWindow.toast('0',"5","无更多数据",2000);
		}
		return;
	}
	else
	{
		hideNoOrderMessage();
		offset  += iStep;
		bShowNoResult = false;
		arrInsuracnesList.length = 0;
		for(var i=0; i<_data.length; i++)
		{
			
			var item =_data[i];
			var insuranceItem = new InsuranceItem(item.KD_ID
			                                                        ,item.insurance_id
																	, Translator.getInsuranceStatusString(item.status)
																	, item.status
																	, item.insurance_company
																	, item.insurance_company_name
																	, baseUrlHttp+item.company_image
																	, item.paid_fee
																	, item.student_name
																	,item.applicant);
			arrInsuracnesList.push(insuranceItem);
		}
	   
		setInsuranceListHtml(arrInsuracnesList);
	}
}

function setInsuranceListHtml(_ArrInsurances)
{
	var tmpl='<div  id="${insuranceID}" >'
	    +'<div class="ub ub-f1 sc-bg umar-t ub-ver" style="padding:0.5em 0.5em 0 0.5em" onmousedown="zy_touch("ani-act")" ontouchstart="zy_touch(\'ani-act\')" onclick="onItemSelected(\'${insuranceID}\',\'${fee}\',\'${companyName}\',\'${insuranceCode}\',\'${kdID}\',event);">'
        +  '<div class="ub ub-f1 ubb">'
        +      '<div class="ub ub-f3">'
        +           '<div class="ub"><img src="${companyIconUrl}" style="width: 1.5em;height: 1.5em"></div>'
        +           '<div class="  umar-l">${companyName}</div>'
        +       '</div>'
        +    '</div>'
        +    '<div class="ub ub-f3 ubb">'
        +       '<div class="ub ub-f1 uinn08 "> '
        +           '<div>'
        +            '<div class="ub uinn08 ub-f1">投保人(监护人)</div>'
        +            '<div class="ub uinn08 ub-f1">被保险人(学生) </div>'
        +            '<div class="ub uinn08 ub-f1">保险费  </div>' 
        +        '</div>'
        +        '<div style="margin-left: 2em;">'
        +            '<div class="uinn08 ub-f1 ulim-08">${aName}</div>'
        +            '<div class="ulim-08 uinn08 ub-f1">${stuName}</div>'
        +            '<div class="ub uinn08 ub-f1">￥${fee}</div>'
        +       '</div>'
        +      '</div>'
        +      '<div class="ub ub-f1 ub-ac ub-pe"><i style="font-size:1.2em;" class="fa fa-angle-right"></i></div>'
       +    '</div>'       
       + '</div>'  
       +  '<div class="ub uinn sc-bg">'
       +          '<div class=" fa fa-trash-o umar-l uba-c" onmousedown="zy_touch("ani-act")" ontouchstart="zy_touch(\'ani-act\')" onclick="deleteInsurance(\'${insuranceID}\');"></div>'
       +       '<div class="ub ub-f1 text-red  ub-pe umar-r ulev-1">${insuranceStatus}</div>'
       +     '</div>' 
       + '</div>' ;
	var strHtml = zy_tmpl(tmpl, _ArrInsurances, zy_tmpl_count(_ArrInsurances));
	var d = document.createElement('DIV');
  	d.innerHTML=strHtml;
	insuranceListObj.className="ub ub-ver";
	insuranceListObj.appendChild(d);
}

function toLoadListByStatus(_status)
{
    status = _status;
    refreshInsuranceList();
}
 
function getInsuranceList() 
{ 
    uexXmlHttpMgr.onData =cbGetInsuranceListResponse; 

    var userName = getUserName();
	var userID = getUserID();
    
    var urlGetInsuranceList = baseUrl+"stu_orderlist.php"; 
    uexXmlHttpMgr.open(50, "POST", urlGetInsuranceList, ""); 
    uexXmlHttpMgr.setPostData(50, 0, "src", appOwner );  //应用标识名称
    uexXmlHttpMgr.setPostData(50, 0, "src_id", appOwnerID ); //应用标识编码
    uexXmlHttpMgr.setPostData(50, 0, "User_name", userName);  
	uexXmlHttpMgr.setPostData(50, 0, "User_ID", userID);
	uexXmlHttpMgr.setPostData(50, 0, "start", offset);
	uexXmlHttpMgr.setPostData(50, 0, "num_list",iStep);
	uexXmlHttpMgr.setPostData(50, 0, "status",status);

    uexXmlHttpMgr.send(50);
    uexWindow.toast(1,5,"正在获取订单列表...",0); 
} 

//验证码回调函数
function cbGetInsuranceListResponse(opid, state, response) 
{ 
	//关闭异步请求 
   	uexWindow.closeToast(); 
   	uexXmlHttpMgr.close(opid); 
    //alert('返回数据=' + "opCode:" + opid + "<br> state:" + state + "<br> response:" + response); 
  	if ((50==opid) && (1==state)) 
    {
		var responseResult = JSON.parse(response);
		var serverResult  = responseResult.result;
		if(-1 != serverResult.indexOf('order_get_success')){
			 resetBV('1');
			getInsuranceListArr(responseResult.data);
		}else if(-1!=serverResult.indexOf('SUCCESS00A')){
			reLogin(getInsuranceList);
		}else{
			resetBV('1');
			uexWindow.toast(0,5,"获取列表失败，请稍后重试!",2500);
		}
   	}  
  	else if((50==opid)&&(-1==state)) { 
	 resetBV('1');
      uexWindow.alert("提示","请求失败，请检查网络等状态","确定"); 
    } 
} 

function showNetworkNotWorkWellMessage()
{
	hideNoOrderMessage();
	
	var requestMessage = document.getElementById("request_failed");
	requestMessage.className="ub-fv ub ub-ac ub-pc  sc-text  ub-ver";
}

function hideNetworkNotWorkWellMessage()
{
	var requestMessage = document.getElementById("request_failed");
	requestMessage.className="uhide";
}

function onItemSelected(_insuranceID,_fee,_compName,_insuranceStatusCode,_kdId,_e)
{
	stopPP(_e);
	appcan.locStorage.setVal("KD_ID",_kdId);

	appcan.locStorage.setVal("SELECTED_INSURANCE_ID",_insuranceID);
	
    var jExtraData = { "insur_id": _insuranceID, "original_fee":_fee, "insur_name":_compName};
    appcan.locStorage.setVal("ORDER_SAVED_DATA",JSON.stringify(jExtraData));
	
	switch(_insuranceStatusCode)
	{
		case '0':
			appcan.window.open("orderdetail","orderdetail.html",10,4);
			break;
		default:
			appcan.window.open("other_orderdetail","other_orderdetail.html",10,4);
			break;	
	}
}


function retry(_e)
{
	stopPP(_e);
	getInsuranceList();
}

function refreshInsuranceList()
{
	offset = 0;
	bShowNoResult = true;
	insuranceListObj.innerHTML = "";
	getInsuranceList();
}


function deleteInsurance(_id)
{
      uexWindow.confirm("提示","是否确定删除订单","确定,取消");
      uexWindow.cbConfirm = function(opId, dataType, data)
      {
           if(1==data)
           {
               return;
           }
           else
           {
               delOrderID = _id;
               delFromListByID();
           }
      }
}
function delFromListByID()
{
      uexXmlHttpMgr.onData =cbDeleteInsuranceListResponse; 
       var userName = getUserName();
       var userID = getUserID();
       
       var urldeleteInsuranceList = baseUrl+"deleteXpInsurance.php"; 
       uexXmlHttpMgr.open(51, "POST", urldeleteInsuranceList, ""); 
       uexXmlHttpMgr.setPostData(51, 0, "User_name", userName);  
       uexXmlHttpMgr.setPostData(51, 0, "User_ID", userID);
       uexXmlHttpMgr.setPostData(51, 0, "insurance_id", delOrderID);
       uexXmlHttpMgr.setPostData(51, 0, "version ", version);
       
       uexWindow.toast(1,5,"正在删除订单...",0); 
       uexXmlHttpMgr.send(51);
}
function cbDeleteInsuranceListResponse(opid, state, response)
{
    uexWindow.closeToast(); 
    uexXmlHttpMgr.close(opid); 
    
     if ((51==opid) && (1==state)) 
    {
        var responseResult = JSON.parse(response);
        var serverResult  = responseResult.result;
         if('success'==serverResult)
         {
             delInsuranceByID();
            uexWindow.toast(0,5,responseResult.message,2000);
        }
        else if('SUCCESS00A'==serverResult)
        {
            reLogin(getInsuranceList);
        }
    }
     else if((51==opid)&&(-1==state))
     { 
      uexWindow.alert("提示","请求失败，请检查网络等状态","确定"); 
    } 
}
function delInsuranceByID()
{
    var insuranceDIV=document.getElementById(delOrderID);
    var insuranceNode=insuranceDIV.parentNode;
    insuranceNode.removeChild(insuranceDIV);
    
    var childLength = insuranceNode.childNodes.length;
    if(0 == childLength)
    {
        insuranceNode.parentNode.removeChild(insuranceNode);
    }
}








