function setTargetWinInfo(_targetWinName,_targetWinUrl)
{
	appcan.locStorage.setVal("TARGET_WIN_NAME",_targetWinName);
	appcan.locStorage.setVal("TARGET_WIN_URL",_targetWinUrl);
}

function getTargetWinName()
{
	return appcan.locStorage.getVal("TARGET_WIN_NAME");
}

function getTargetWinUrl()
{
	return appcan.locStorage.getVal("TARGET_WIN_URL");
}

function removeTargetWinInfo()
{
	appcan.locStorage.remove("TARGET_WIN_NAME");
	appcan.locStorage.remove("TARGET_WIN_URL");
}

/*
 * 登录操作
 * @param _cellphone: 用户输入的手机号码
 * @param _pwd:密码
 * @param _cbFun: 回调函数
 * @param _bClose:关闭登录窗口
 * */
function login(_userName,_pwd,_cbFun)
{ 
    setUserNameAndPwd(_userName,_pwd);
    
    uexXmlHttpMgr.onData =function(opid, state, response) 
	{ 
   		//关闭异步请求 
   	 	uexWindow.closeToast(); 
   		uexXmlHttpMgr.close(opid); 

   		//alert('返回数据=' + "opCode:" + opid + "<br> state:" + state + "<br> response:" + response); 
    	if ((52==opid) && (1==state)) 
   	 	{
        	var result = JSON.parse(response);
            
        	var loginStatus = result.result;

       		if(-1 != response.indexOf('LOGIN_SUCCESS_001')) 
        	{ 
            
            	setUserID(result.User_ID);
            	setUserName(result.User_name);
				recordUserCellphone(result.User_ID,result.cellphone);
				
				//邀请码
				//alert("result.xp_invitaionCode="+result.xp_invitaionCode);
				setInviteNum(result.xp_invitaionCode);
                
				var isNeedCloseLoginWin = appcan.locStorage.getVal("CLOSE_LOGIN_WIN");
				if('yes' == isNeedCloseLoginWin)
				{
					appcan.locStorage.remove("CLOSE_LOGIN_WIN");
					uexWindow.evaluateScript('login','0','closeMyself()');
				}
				else
				{
					var _targetWinName = getTargetWinName();
					var _targetWinUrl = getTargetWinUrl();
					removeTargetWinInfo();
					appcan.window.open(_targetWinName,_targetWinUrl,10,4);
				}
        	} 
        	else 
        	{ 
				uexWindow.toast(0,5,"用户名或密码错误！",2000);
        	} 
    	} 
    	else if((52==opid)&&(-1==state)) 
    	{ 
        	uexWindow.alert("提示","请求失败，请检查网络等状态","确定"); 
   	 	} 
	}
   
    var urlLogin = baseUrl+"login.php"; 
    uexXmlHttpMgr.open(52, "POST", urlLogin, 20000); 
    uexXmlHttpMgr.setPostData(52, 0, "src", appOwner );  //应用标识名称
    uexXmlHttpMgr.setPostData(52, 0, "src_id", appOwnerID ); //应用标识编码
    
	if(isCellphone(_userName))
	{
		uexXmlHttpMgr.setPostData(52, 0, "username", '');
		uexXmlHttpMgr.setPostData(52, 0,"cellphone",_userName);
	}
	else
	{
		uexXmlHttpMgr.setPostData(52, 0, "username", _userName);
		uexXmlHttpMgr.setPostData(52, 0,"cellphone",'');
	}
	
//    uexXmlHttpMgr.setPostData(52, 0, "username",'');    //现使用手机注册，该字段可传空
//    uexXmlHttpMgr.setPostData(52, 0,"cellphone",_cellphone); //该字段填写用户名（即用户填写的手机号码）
    uexXmlHttpMgr.setPostData(52, 0,"password",_pwd); //用户密码 
    uexXmlHttpMgr.send(52); 
} 
