var strApplyInfo = appcan.locStorage.getVal("STU_APPLICATION_INFO");

var strCompanys = appcan.locStorage.getVal("SELECTED_COMPANY");


var insureTimeSelObj = document.getElementById("id_insuretime_sel");
var insureTimeDivObj=document.getElementById("id_insuretime");
var endTimeDivObj=document.getElementById("id_endtime");

var jsonApplyInfo = null;
var jsonCompanies = null;

var endTimekey=null;
var arrSaveData = null;
arrSaveData = new Array();

function init()
{
	if((!isDefine(strApplyInfo)) || (!isDefine(strCompanys)))
	{
		uexWindow.alert("错误提示","数据出错，请返回上一级重试！","确定");
		return;
	}
	
	addOptionsToSelectTime();//显示预计的起保时间和截止时间
	//showDateStatement();
	
	 jsonApplyInfo = JSON.parse(strApplyInfo);
	 jsonCompanies = JSON.parse(strCompanys);
	
	document.getElementById("company_name").innerText = jsonCompanies.cName;
	document.getElementById("company_logo").src=jsonCompanies.cIconUrl;

    var strPrice = appcan.locStorage.getVal('price');
    //alert("strPrice="+strPrice);
    strPrice = toDecimal2(strPrice);
    var strKD_ID = appcan.locStorage.getVal("KD_ID");

    uexWindow.evaluateScript('','0',"setTotal('"+strPrice+"')");

	document.getElementById("id_insurance_fee").innerText="￥"+strPrice;
	
	document.getElementById("a_name").innerText = jsonApplyInfo.aName;
	document.getElementById("a_id").innerText = jsonApplyInfo.aID;
	document.getElementById("a_cellphone").innerText = jsonApplyInfo.aCellphone;
	document.getElementById("a_relationship").innerText = jsonApplyInfo.aRelationship;
	
	document.getElementById("insured_name").innerText = jsonApplyInfo.insuredName;
	document.getElementById("insured_sexuality").innerText = jsonApplyInfo.insuredSexuality;
	document.getElementById("insured_birth").innerText =jsonApplyInfo.insuredID;
	
	document.getElementById("insured_area").innerText = jsonApplyInfo.insuredProvince+jsonApplyInfo.insuredCity+jsonApplyInfo.insuredArea;
	document.getElementById("insured_st").innerText = jsonApplyInfo.insuredSchTypeName;
	document.getElementById("insured_school_name").innerText = jsonApplyInfo.insuredSch;

	if(isDefine(jsonApplyInfo.insuredGrade))
	{
		document.getElementById("insured_grade_cls").innerText = jsonApplyInfo.insuredGrade+jsonApplyInfo.insuredCls;
	}
	else
	{
		document.getElementById("insured_grade_cls").innerText = jsonApplyInfo.insuredCls;
	}
}


function goTopay()
{
    //appcan.locStorage.remove("SELECTED_INSURANCE_ID");
    submitOrderInfo();
    //appcan.locStorage.setVal("KD_ID",strKD_ID);
    
    appcan.locStorage.setVal("SELECTED_COMPANY_ID",jsonCompanies.cID);//IC001
    //appcan.window.open('pay_detail','pay_detail.html',10,4);
}


function submitOrderInfo()
{    
    var userID = getUserID();
    var userName = getUserName();

    var strKD_ID = appcan.locStorage.getVal("KD_ID");
    var stuID =appcan.locStorage.getVal("SELECTED_STU_ID");

    var strInsuranceID = "";
    var strCellphone = getUserCellphone(userID);
     if(!isDefine(strInsuranceID))//没有strInsuranceID
     {
         strInsuranceID = '';
     }
     else
     {
         strKD_ID='';
     } 

    uexXmlHttpMgr.onData =cbgetWXpayInfoResponse;

    var urlSubmitInfo = baseUrl+"weixin_topay.php"; 
    uexXmlHttpMgr.open(50, "POST", urlSubmitInfo, ""); 
    uexXmlHttpMgr.setPostData(50, 0, "src", appOwner );  //应用标识名称
    uexXmlHttpMgr.setPostData(50, 0,  "src_id", appOwnerID ); //应用标识编码 

    uexXmlHttpMgr.setPostData(50, 0,  "User_ID", userID);
    uexXmlHttpMgr.setPostData(50, 0,  "User_name", userName);
    uexXmlHttpMgr.setPostData(50, 0,  "KD_ID", strKD_ID);
    uexXmlHttpMgr.setPostData(50, 0,  "count", 1);
    uexXmlHttpMgr.setPostData(50, 0,  "stu_id",stuID);
    uexXmlHttpMgr.setPostData(50, 0, "company_id",jsonCompanies.cID);
    uexXmlHttpMgr.setPostData(50, 0, "insurance_id",strInsuranceID);
    uexXmlHttpMgr.setPostData(50, 0, "user_cellphone",strCellphone);
    uexXmlHttpMgr.setPostData(50, 0, "version",version);
    uexXmlHttpMgr.setPostData(50, 0, "start_day",insureTimeDivObj.innerText );
    uexXmlHttpMgr.setPostData(50, 0, "end_day",endTimeDivObj.innerText );
    
    uexXmlHttpMgr.send(50);
    uexWindow.toast(1,5,"正在提交订单信息...",0); 

}

function cbgetWXpayInfoResponse(opid, state, response)
{
    //关闭异步请求 closepop()
    uexWindow.closeToast(); 
    uexXmlHttpMgr.close(opid);
    //alert("返回数据：opCode:" + opid + "<br> state:" + state + "<br> response:" + response); 
     
    if ((50==opid) && (1==state)) 
    {
            var responseResult = JSON.parse(response);
            var serverResult  = responseResult.result;
            var serverData  = responseResult.data;

        if('SUCCESS'==serverResult)
        {
            arrSaveData.length = 0;
            appcan.locStorage.setVal("SELECTED_INSURANCE_ID",serverData.insurance_id);

            var jExtraData = { "insur_id": serverData.insurance_id, "original_fee":serverData.fee_origin, "insur_name":jsonCompanies.cName};
            appcan.locStorage.setVal("ORDER_SAVED_DATA",JSON.stringify(jExtraData));
            appcan.window.open('pay_detail','pay_detail.html',10,4);
      
        }
        else if(-1!=serverResult.indexOf('LOSE_EFFICACY'))
        {
            uexWindow.cbConfirm = function(opId, dataType, data)
            {
                if(data=="0")
                {
                    appcan.window.open('insulist','insulist.html',1,4);
                }
            } 
            uexWindow.confirm("提示","该订单长时间未支付，已失效！","确定");
        }
        else if(-1!=serverResult.indexOf('THIS_ORDER_ALREADY_BUYED'))
        {
            uexWindow.cbConfirm = function(opId, dataType, data)
            {
                 if(data=="0")
                {
                    appcan.window.open('insulist','insulist.html',1,4);
                }
            }
            uexWindow.confirm("提示","该订单已支付，请返回订单列表中查看！","确定");
        }
        else if('SUCCESS00A' == serverResult)
        {
            reLogin(submitOrderInfo);
        }
        else
        {
            uexWindow.toast(0,5,"获取列表失败，请稍后重试!",2500);
        }
    }  
    else if((50==opid)&&(-1==state)) 
    { 
        uexWindow.alert("提示","请求失败，请检查网络等状态","确定"); 
    } 
}



function toDecimal2(x) 
{  
    var f = parseFloat(x);  
    if (isNaN(f)) 
    {  
        return false;  
    }  
    var f = Math.round(x*100)/100;  
    var s = f.toString();  
    var rs = s.indexOf('.');  
    if (rs < 0) 
    {               //找不到小数点
        rs = s.length;      
        s += '.';  
    }  
    while (s.length <= rs + 2) 
    {  
        s += '0';       //字符串长度自增
    }  
    return s;  
}  
function selectTimeOnChange(_insuretime)
{
    var arrOptions = _insuretime.options;
    var iSelectedIndex = _insuretime.selectedIndex;
    var optionObj = arrOptions[iSelectedIndex];
    insureTimeDivObj.innerText = optionObj.innerText;
    endTimeDivObj.innerText = optionObj.value;
    
}
function addOptionsToSelectTime() 
{
    var jStartTime=JSON.parse(appcan.locStorage.getVal("times"));
    for(var key in  jStartTime ) 
    {
         var option = document.createElement("option"); 
          insureTimeSelObj.options.add(option); 
          option.innerText = jStartTime[key][0];
          option.value = jStartTime[key][1];
    }
    
     selectTimeOnChange(insureTimeSelObj);
}

