var Translator = {
	getInsuranceStatusString:function(_statusCode){
			var strStatus = null;
			switch(parseInt(_statusCode))
			{
				case 0:
					strStatus= "待付款";
					break;
				case 1:
					strStatus= "已付款";
					break;
				case 2:
					strStatus= "投保成功";
					break;	
				case 3:
					strStatus= "投保失败";
					break;
				case 4:	
					strStatus= "订单失效";
					break;
				default:
		   			strStatus= "状态错误";
					break;	
	}
	
	return strStatus;
	},
	
	getInsuranceStatusStr:function(_statusCode){
			var strStatus = null;
			switch(parseInt(_statusCode))
			{
				case 0:
					strStatus= "待付款";
					break;
				case 1:
					strStatus= "已付款，等待出单";
					break;
				case 2:
					strStatus= "投保成功";
					break;	
				case 3:
					strStatus= "投保失败";
					break;
				case 4:	
					strStatus= "长时间未付款，订单失效";
					break;
				default:
		   			strStatus= "状态错误";
					break;	
		}
	
		return strStatus;
	},
	

  getInsurTypeByValue:function(_value){
			var strType = null;
			switch(_value)
			{
				case "LP01":
			 		strType= "意外医疗";
					break;
				case "LP02":
					strType= "疾病医疗";
					break;
				default:
		   			strType= "状态错误";
					break;	
			}
	
			return strType;
	},
	
	getSchTypeSelIndex:function(_strValue){
		switch(_strValue)
		{
			case "YRY":
			   return '0';
			case "XX":
				return '1';
			case "ZX":
				return '2';		
			default:
				break;	
		}
	},
	getStatusNameByCode:function(_code){
	    var statusName=null;
	    switch(parseInt(_code))
            {
                case 0:
                    statusName= "资料待完善";
                    break;
                case 1:
                    statusName= "审核中";
                    break;
                case 2:
                    statusName= "审核未通过";
                    break;  
                case 3:
                    statusName= "审核通过";
                    break;
                case 4: 
                    statusName= "理赔中";
                    break;
                case 5: 
                    statusName= "理赔完成";
                    break;
                default:
                    statusName= "状态错误";
                    break;  
    }
    
    return statusName;
	}
}

