function setUserNameAndPwd(_uname,_password)
{
    appcan.locStorage.setVal("USER_NAME",_uname);
    appcan.locStorage.setVal('USER_PWD',_password);
}
function setUserName(_uname)
{
    appcan.locStorage.setVal('USER_NAME',_uname);
}

function setUserPwd(_pwd)
{
	appcan.locStorage.setVal('USER_PWD',_pwd);
}

function recordUserCellphone(_userID,_cellphone)
{
	var key = _userID+'_cellphone';
	appcan.locStorage.setVal(key,_cellphone);
}

function getUserCellphone(_userID)
{
	var key = _userID+'_cellphone';
	return appcan.locStorage.getVal(key);
}

function getUserName()
{
    return appcan.locStorage.getVal("USER_NAME");
}

function getPwd()
{
    return appcan.locStorage.getVal("USER_PWD");
}

function removePwd()
{
   return appcan.locStorage.remove("USER_PWD"); 
     
}

function setUserID(_userID)
{
    appcan.locStorage.setVal("USER_ID",_userID);
}
//邀请码
function setInviteNum(_inviteNum)
{
    appcan.locStorage.setVal("INVITE_NUM",_inviteNum);
}

function getUserID()
{
    return appcan.locStorage.getVal("USER_ID");
}


function setRememberPwdFlag(_flag)
{
     appcan.locStorage.setVal('REMEMBER_PWD_FLAG',_flag);
}

function getRememberPwdFlag()
{
    return appcan.locStorage.getVal('REMEMBER_PWD_FLAG');
}

function removeRememberPwd()
{
    appcan.locStorage.remove('REMEMBER_PWD_FLAG');
}


/*
 * 登录操作
 * @param _cellphone: 用户输入的手机号码
 * @param _pwd:密码
 * @param _cbFun: 回调函数
 * @param _bClose:关闭登录窗口
 * */
function tryToLoginForSessionInvalid(_userName,_pwd,_cbFun)
{ 
    setUserNameAndPwd(_userName,_pwd);
    
    uexXmlHttpMgr.onData =function(opid, state, response) 
	{ 
   		//关闭异步请求 
   		 //alert('返回数据=' + "opCode:" + opid + "<br> state:" + state + "<br> response:" + response);
   	 	uexWindow.closeToast(); 
   		uexXmlHttpMgr.close(opid);
    	if ((100==opid) && (1==state)) 
   	 	{
        	var result = JSON.parse(response);
        	var loginStatus = result.result;

       		 if (-1 != response.indexOf('LOGIN_SUCCESS_001')) {
			 	setUserID(result.User_ID);
			 	setUserName(result.User_name);
				recordUserCellphone(result.User_ID,result.cellphone);
				if(isDefine(_cbFun))
				{
					_cbFun();
			 		_cbFun = null;
				}

			 }
			 else {
			 	appcan.locStorage.setVal("CLOSE_LOGIN_WIN","yes");
			 	appcan.window.open("login", "login.html", 10, 4);
			 }
    	} 
    	else if((100==opid)&&(-1==state)) 
    	{ 
        	uexWindow.alert("提示","网络不稳定或未打开，请检查网络等状态","确定"); 
   	 	} 
	}
   
    var urlLogin = baseUrl+"login.php"; 
    uexXmlHttpMgr.open(100, "POST", urlLogin, 20000); 
    uexXmlHttpMgr.setPostData(100, 0, "src", appOwner );  //应用标识名称
    uexXmlHttpMgr.setPostData(100, 0,"src_id", appOwnerID ); //应用标识编码
//    uexXmlHttpMgr.setPostData(100, 0,"username",'');    //现使用手机注册，该字段可传空
//    uexXmlHttpMgr.setPostData("100","0","cellphone",_cellphone); //该字段填写用户名（即用户填写的手机号码）
	if(isCellphone(_userName))
	{
		uexXmlHttpMgr.setPostData(100, 0,"username", '');
		uexXmlHttpMgr.setPostData(100, 0,"cellphone",_userName);
	}
	else
	{
		uexXmlHttpMgr.setPostData(100, 0,"username", _userName);
		uexXmlHttpMgr.setPostData(100, 0,"cellphone",'');
	}
	
    uexXmlHttpMgr.setPostData(100, 0,"password",_pwd); //用户密码 
    uexXmlHttpMgr.send(100); 
} 


function reLogin(_cbFunc)
{
	var userName = getUserName();
	var userPwd = getPwd();
	tryToLoginForSessionInvalid(userName,userPwd,_cbFunc);
}

function cleanCookie()
{
	 appcan.locStorage.remove("USER_ID");
	 appcan.locStorage.remove("REMEMBER_PWD_FLAG");
	 appcan.locStorage.remove("CLOSE_LOGIN_WIN");
	 appcan.locStorage.remove("SELECTED_INSURANCE_ID");
	 appcan.locStorage.remove("SELECTED_STU_ID");
	 appcan.locStorage.remove("STU_APPLICATION_INFO");
	 appcan.locStorage.remove("KD_ID");
	 appcan.locStorage.remove("SELECTED_COMPANY"); 
}

function autoLogin()
{
	var userName = getUserName();
	var userPwd = getPwd();
	
	if((isDefine(userName))&&(isDefine(userPwd)))
	{
		tryToLoginForSessionInvalid(userName,userPwd,null);
	}
}
