var dateStatementContainer = document.getElementById("date_statement");
var serviceStatementContainer = document.getElementById("service_statement");
var failedStatementContainer = document.getElementById("failed_statement");

var selectedInsurTtype = null;

var strInsuranceID = appcan.locStorage.getVal("SELECTED_INSURANCE_ID");
function getInsuranceDetail()
{
	if(isDefine(strInsuranceID))
	{
		getInsuranceDetailById();
	}
	else
	{
		uexWindow.toast(0,5,"参数错误,无法获取订单详情",2500);
	}
}

function getInsuranceDetailById() 
{ 
    uexXmlHttpMgr.onData =cbGetInsuranceDetailResponse; 

    var userName = getUserName();
	var userID = getUserID();

    var urlGetInsuranceDetail = baseUrl+"getorder_list.php"; 
    uexXmlHttpMgr.open(90, "POST", urlGetInsuranceDetail, ""); 
    uexXmlHttpMgr.setPostData(90, 0, "src", appOwner );  //应用标识名称
    uexXmlHttpMgr.setPostData(90, 0,  "src_id", appOwnerID ); //应用标识编码
    uexXmlHttpMgr.setPostData(90, 0,  "User_name", userName);  
	uexXmlHttpMgr.setPostData(90, 0,  "User_ID", userID);
	uexXmlHttpMgr.setPostData(90, 0,  "insurance_id", strInsuranceID);
    uexXmlHttpMgr.send(90);
    uexWindow.toast(1,5,"正在获取订单详情...",0); 
} 

//验证码回调函数
function cbGetInsuranceDetailResponse(opid, state, response) 
{ 
	//关闭异步请求 
   	uexWindow.closeToast(); 
   	uexXmlHttpMgr.close(opid); 
    //alert('返回数据=' + "opCode:" + opid + "<br> state:" + state + "<br> response:" + response); 
  	if ((90==opid) && (1==state)) 
    {
		var responseResult = JSON.parse(response);
		var serverResult  = responseResult.result;
		if(-1 != serverResult.indexOf('order_imformation_success'))
		{
		    startTime=responseResult.start_time;
		    endTimes=responseResult.end_time;
			showInsuranceDetail(responseResult);
		}
		else if(-1!=serverResult.indexOf('SUCCESS00A')){
			reLogin(getInsuranceDetailById);
		}
		else{
			uexWindow.toast(0,5,"获取信息失败，请稍后重试!",2500);
		}
   	}  
  	else if((90==opid)&&(-1==state)) { 
      uexWindow.alert("提示","请求失败，请检查网络等状态","确定"); 
    } 
} 

var strCompanyID = null;

function showInsuranceDetail(_response)
{
	var stuInfo =_response.data[0];
	selectedInsurTtype = stuInfo.insurance_type;//人民保险显示当前方案内容

	
	document.getElementById("insurance_status").innerText =  Translator.getInsuranceStatusStr(stuInfo.status);
	showDiffMessagePartByInsuranceCode(stuInfo.status,_response);
	
	document.getElementById("insurance_id").innerText = stuInfo.insurance_id;
	document.getElementById("submit_time").innerText = stuInfo.submitTime;
	
	document.getElementById("company_name").innerText = stuInfo.insurance_company_name;
	document.getElementById("company_logo").src=baseUrlHttp+stuInfo.company_image;
	document.getElementById("fee").innerText = stuInfo.paid_fee;
	
	
	//set company id by attr data-company-id
	document.getElementById("insurance_content").setAttribute('data-company-id',stuInfo.insurance_company);
	strCompanyID = stuInfo.insurance_company;
	
	//保险人信息
	document.getElementById("a_name").innerText = stuInfo.applicant;
	document.getElementById('a_id').innerText = stuInfo.applicant_ID;
	document.getElementById('a_cellphone').innerText = stuInfo.cellphone;
	document.getElementById('a_relationship').innerText= Translator.getRelationshipByCode(stuInfo.relation);
	
	//被保险人信息
	document.getElementById("stu_name").innerText=stuInfo.student_name;
	document.getElementById("stu_sexuality").innerText =Translator.getSexualityByCode(stuInfo.sex);	
	
    if (isDefine(stuInfo.student_id) && (isCardNo(stuInfo.student_id)))
    {
        var strBirthday =stuInfo.student_id.substr(6,8);
        strBirthday = strBirthday.replace(/(.{4})(.{2})/,"$1-$2-");
        document.getElementById("stu_birth").innerText=strBirthday;
    }
    else 
    {
        document.getElementById("stu_birth").innerText =stuInfo.student_id;
    }
	
	document.getElementById("stu_area").innerText = stuInfo.province+stuInfo.city+stuInfo.area;
	document.getElementById("stu_sch_type").innerText = stuInfo.school_type;
	document.getElementById("stu_sch_name").innerText = stuInfo.school;
	document.getElementById("start_time").innerText = stuInfo.start_time;
	document.getElementById("end_time").innerText = stuInfo.end_time;
	
	if(isDefine(_response.comment)){
	    document.getElementById("id_comment").innerText=_response.comment;
	    document.getElementById("id_comment").className="bc-text-head bc-red1 ulev-1 uinn";
	}
    else
    {
        document.getElementById("id_comment").className="uhide"
    }
	var strGrade = stuInfo.grade;
	var strClass = stuInfo.class;
	if(!isDefine(strGrade))
	{
	    document.getElementById("stu_grade_cls").innerText =strClass+"班";
	}
	else if(!isDefine(strClass))
	{
	    document.getElementById("stu_grade_cls").innerText =strGrade+"年级";
	}
	else
	{
	     document.getElementById("stu_grade_cls").innerText = stuInfo.grade+"年级"+strClass+"班";
	}

	//只有在状态为投保成功时，才处理申请投保凭证模块
	if ('2' == stuInfo.status)
	{
	  if(isDefine(stuInfo.addresseeTel))
	  {
        document.getElementById("express1").className="uhide";
        document.getElementById("express").className="ub ub-f1 uinn sc-bg ub-ver umar-t";
        document.getElementById("receiver").innerText=stuInfo.receiver;
        document.getElementById("addresseeTel").innerText=stuInfo.addresseeTel;
        document.getElementById("address").innerText=stuInfo.address;
        if(isDefine(stuInfo.kuaidi_no))
        {
            document.getElementById("mail_state").innerText="已邮寄";
            document.getElementById("mail_company").innerText=stuInfo.mail_company;
            document.getElementById("kuaidi_no").innerText="单号："+stuInfo.kuaidi_no;
        }
        else
        {
            document.getElementById("mail_message").className="uhide";
        }
       }
       else
       {
            document.getElementById("express").className="uhide";
            document.getElementById("express1").className="ub ub-f1 uinn sc-bg ub-ver umar-t";
       }
	}
}

function pay()
{
    appcan.locStorage.setVal("SELECTED_COMPANY_ID",strCompanyID);
    appcan.window.open('pay_detail','pay_detail.html',2,4);
}

function showDetail(_this)
{
	strCompanyID = _this.getAttribute("data-company-id");
	//alert("strCompanyID="+strCompanyID);//IC004
	appcan.locStorage.setVal("SELECTED_COMPANY_ID",strCompanyID);
	appcan.locStorage.setVal("SELECTED_COMPANY_TYPE",selectedInsurTtype);
	appcan.locStorage.remove('SHOW_PRICE_PART');
	appcan.window.open('check_insurance_details',"check_insurance_details.html",10,4);
}


var final_fee = document.getElementById("final_fee");
var discount_fee = document.getElementById("discount_fee");
var discountFee_obj = document.getElementById("discountFee_obj");
var finalFee_obj = document.getElementById("finalFee_obj");

function showDiffMessagePartByInsuranceCode(_insuranceCode,_extraData)
{
	switch(parseInt(_insuranceCode))
	{
		case 0://待付款
		    showDateStatement(_extraData);
			break;
	   case 1://已付款，页面已经显示部分
	       showDateStatement(_extraData);
	        discountFee_obj.className = "ub ub-f1 ubb";
	        finalFee_obj.className = "ub ub-f1 ubb";
            final_fee.innerText = _extraData.data[0].real_price;
            discount_fee.innerText = (parseFloat(_extraData.data[0].paid_fee)-parseFloat(_extraData.data[0].real_price)).toFixed(2);
            break;
		case 2://投保成功
		    discountFee_obj.className = "ub ub-f1 ubb";
            finalFee_obj.className = "ub ub-f1 ubb";
            final_fee.innerText = _extraData.data[0].real_price;
            discount_fee.innerText = (parseFloat(_extraData.data[0].paid_fee)-parseFloat(_extraData.data[0].real_price)).toFixed(2);
		    showServiceSupportStatement(_extraData);
			break;
		case 3://投保失败
		    showFailedStatement(_extraData.data[0]);
			break;
		case 4://失效，页面已经显示部分
            
            break;
		default:
			break;					
	}
}

function showDateStatement(_extraData)//待付款
{
    dateStatementContainer.className="ub ub-f1  uinn  sc-bg ub-ver umar-t";
    document.getElementById("start_time").innerText=_extraData.start_time;
    document.getElementById('end_time').innerText=_extraData.end_time;
}



function showServiceSupportStatement(_extraData)//投保成功
{
	var _data = _extraData.data[0];
	serviceStatementContainer.className="ub ub-f1  uinn  sc-bg  umar-t";
	document.getElementById('support_company_name').innerText=_data.insurance_company_name;
	
	document.getElementById('insurance_complete_part').className="ub ub-ver ub-f1";
	document.getElementById("insurance_serial_num_part").setAttribute('data-company-id',_data.insurance_company);
	document.getElementById('insurance_serial_num').innerText=_data.baodan_no;
	document.getElementById("insurance_start_date").innerText=_extraData.start_time;
	document.getElementById('insurance_end_date').innerText=_extraData.end_time;
}

function showFailedStatement(_data)//投保失败
{
	failedStatementContainer.className="ub ub-f1  uinn  sc-bg  umar-t";
	document.getElementById("extra_statement_info").innerText="投保失败原因:"+_data.reason;
}

function checkInsurance(_this)//查看保单
{
	var strCompanyID = _this.getAttribute("data-company-id");
	appcan.locStorage.setVal("SELECTED_COMPANY_ID",strCompanyID);
	appcan.window.open('check','check.html',10,4);
}



        
