var iStep = 15;
var offset = 0;
var bShowNoResult = true;

var arrStudentList = null;
arrStudentList = new Array();

var isPullUp = false;	
var isPullDown = false;


function pullDownToRefresh()
{
	isPullDown = true;
	refresh();
}

function pullUpToLoadMore()
{ 
	isPullUp = true; 
	getStudentList();
}	

function showNoOrderMessage()
{
	var noOrderObj = document.getElementById("id_show_no_order_infor"); 
	noOrderObj.className = "ub-fv ub ub-ac ub-pc ub-f1  t-wh ub-ver";
}

function hideNoOrderMessage()
{
	var noOrderObj = document.getElementById("id_show_no_order_infor"); 
	noOrderObj.className = "uhide";
}

function Student_Item(_stuItemID,_stuName,_aName)
{
	this.stuItemID = _stuItemID;
	this.stuName = _stuName;
	this.aName = _aName;
}

function getStudentListArr(_data)
{
	//清空数组
	arrStudentList.length = 0;
	
	if(0 == _data.length)
	{
		if(bShowNoResult)
		{
			showNoOrderMessage();
		}
		else
		{
			uexWindow.toast('0',"5","无更多数据",2000);
		}
		return;
	}
	else
	{
		hideNoOrderMessage();
		offset  += iStep;
		bShowNoResult = false;
		for(var i=0; i<_data.length; i++)
		{
			
			var item =_data[i];
			var stuItem = new Student_Item(item.stuinfo_id
																,item.student_name
																,item.applicant);
			arrStudentList.push(stuItem);

		}
	
		setStudentListHtml(arrStudentList);
	}
}

function setStudentListHtml(_ArrStudents)
{
	var tmpl='<div class="ub  ubb umar-t  uinn ub-ac " onmousedown="zy_touch("ani-act")" ontouchstart="zy_touch(\'ani-act\')" onclick="onItemSelected(\'${stuItemID}\');">'
            	+		'<div class="ub ub-f1 uinn08">' 
                +   			'<div>'
                +    			'<div class="ub uinn08 ub-f1">投保人(监护人)</div>'
                +    			'<div class="ub uinn08 ub-f1">被保险人(学生)</div>'
                +			'</div>'
                +			'<div style="margin-left: 1.625em;">'
                +    			'<div class="ub uinn08 ub-f1">${aName}</div>'
                +    			'<div class="ub uinn08 ub-f1">${stuName}</div>'
                +			'</div>'   
                +		'</div>'
            	+	'</div>';
	var strHtml = zy_tmpl(tmpl, _ArrStudents, zy_tmpl_count(_ArrStudents));
	var d = document.createElement('DIV');
  	d.innerHTML=strHtml;
	studentListContainer.className="ub ub-ver";
	studentListContainer.appendChild(d);
}

 
function getStudentList() 
{ 
    uexXmlHttpMgr.onData =cbGetStudentListResponse; 
	
    var userName = getUserName();
	var userID = getUserID();

    var urlGetStudentList = baseUrl+"stu_studentlist.php"; 
    uexXmlHttpMgr.open(101, "POST", urlGetStudentList, ""); 
    uexXmlHttpMgr.setPostData(101, 0, "src", appOwner );  //应用标识名称
    uexXmlHttpMgr.setPostData(101, 0, "src_id", appOwnerID ); //应用标识编码
    uexXmlHttpMgr.setPostData(101, 0, "User_name", userName);  
	uexXmlHttpMgr.setPostData(101, 0, "User_ID", userID);
	uexXmlHttpMgr.setPostData(101, 0, "start", offset);
	uexXmlHttpMgr.setPostData(101, 0, "num_list",iStep);
    uexXmlHttpMgr.send(101);
    uexWindow.toast(1,5,"正在获取列表...",0); 
} 

//验证码回调函数
function cbGetStudentListResponse(opid, state, response) 
{ 
	//关闭异步请求 
   	uexWindow.closeToast(); 
   	uexXmlHttpMgr.close(opid); 
    //alert('返回数据=' + "opCode:" + opid + "<br> state:" + state + "<br> response:" + response); 
  	if ((101==opid) && (1==state)) 
    {
		var responseResult = JSON.parse(response);
		var serverResult  = responseResult.result;
		if(-1 != serverResult.indexOf('student_get_success'))
		{
			resetBrounce();
			getStudentListArr(responseResult.data);
		}
		else if(-1!=serverResult.indexOf('SUCCESS00A')){
			reLogin(getStudentList);
		}
		else{
			resetBrounce();
			uexWindow.toast(0,5,"获取列表失败，请稍后重试!",2500);
		}
   	}  
  	else if((101==opid)&&(-1==state)) { 
	  resetBrounce();
      uexWindow.alert("提示","请求失败，请检查网络等状态","确定"); 
    } 
} 


function resetBrounce()
{
	if(isPullUp)
	{
		isPullUp = false;
		resetBV('1');
	}
			
	if(isPullDown)
	{
		isPullDown = false;
		resetBV('0');
	}
}


function showNetworkNotWorkWellMessage()
{
	hideNoOrderMessage();
	
	var requestMessage = document.getElementById("request_failed");
	requestMessage.className="ub-fv ub ub-ac ub-pc  sc-text  ub-ver";
}

function hideNetworkNotWorkWellMessage()
{
	var requestMessage = document.getElementById("request_failed");
	requestMessage.className="uhide";
}

function onItemSelected(_stuID)
{
	appcan.locStorage.setVal("SELECTED_STU_ID",_stuID);
	uexWindow.evaluatePopoverScript('','content','initStuAppInfo()');
	uexWindow.evaluateScript('','0','closeStuListPopover()');
}


function retry(_e)
{
	stopPP(_e);
	getStudentList();
}


function refresh()
{
	offset = 0;
	bShowNoResult = true;
	studentListContainer.innerHTML = "";
	getStudentList();
}

function addNewStudentInfo()
{
	appcan.locStorage.remove("SELECTED_STU_ID");
	appcan.window.open("peoplemessage","peoplemessage.html",10,4);
}
