var Translator = {
	getInsuranceStatusString:function(_statusCode){
			var strStatus = null;
			switch(parseInt(_statusCode))
			{
				case 0:
					strStatus= "待付款";
					break;
				case 1:
					strStatus= "已付款";
					break;
				case 2:
					strStatus= "投保成功";
					break;	
				case 3:
					strStatus= "投保失败";
					break;
				case 4:	
					strStatus= "订单失效";
					break;
				default:
		   			strStatus= "状态错误";
					break;	
	}
	
	return strStatus;
	},
	
	getInsuranceStatusStr:function(_statusCode){
			var strStatus = null;
			switch(parseInt(_statusCode))
			{
				case 0:
					strStatus= "待付款";
					break;
				case 1:
					strStatus= "已付款，订单处理中";
					break;
				case 2:
					strStatus= "投保成功";
					break;	
				case 3:
					strStatus= "投保失败";
					break;
				case 4:	
					strStatus= "长时间未付款，订单失效";
					break;
				default:
		   			strStatus= "状态错误";
					break;	
		}
	
		return strStatus;
	},
	
	getRelationshipByCode:function(_Code){
			var strStatus = null;
			switch(parseInt(_Code))
			{
				case 1:
				 	strStatus= "父子";
					break;
				case 2:	
					strStatus= "父女";
					break;
				case 3:
					strStatus= "母子";
					break;
				case 4:
					strStatus= "母女";
					break;
				case 5:
					strStatus= "其他(直系亲属)";
					break;		
				default:
		  	 		strStatus= "状态错误";
					break;	
			}
	
			return strStatus;
	},
	
	getSexualityByCode:function(_Code){
			var strStatus = null;
			switch(parseInt(_Code))
			{
				case 0:
			 		strStatus= "男";
					break;
				case 1:
					strStatus= "女";
					break;
				default:
		   			strStatus= "状态错误";
					break;	
			}
	
			return strStatus;
	},
	
	getSchTypeSelIndex:function(_strValue){
		switch(_strValue)
		{
			case "YRY":
			   return '0';
			case "XX":
				return '1';
			case "ZX":
				return '2';		
			default:
				break;	
		}
	}
}

