var isPullUp = false;
var isPullDown = false;

var offset = 0;
var iStep = 6;	

var bLoadingToast = true;

var isClearList = true;
var bShowNoResult = false;
var arrCoupons = null;

var couponStatus = null;

function initCouponsList(_couponStatus)
{
	arrCoupons = new Array();
	setPageBounce(2,pullDownToRefresh,pullUpToLoadMore);
	couponStatus = _couponStatus;

	httpGetCoupons();
}

function httpGetCoupons()
{
	 uexXmlHttpMgr.onData =cbHttpGetCoupons;
	
	var userID = getUserID();
	var userName = getUserName();
	
	// var VERSION = "06.00.00.0005";//测试
	// alert("userID="+userID+",userName="+userName+",VERSION="+VERSION);
	
	var urlGetCoupons = baseUrl+"coupon/front/hbm_coupon_list.php";
	uexXmlHttpMgr.open(14, "POST", urlGetCoupons, 20000);
	uexXmlHttpMgr.setPostData(14, 0, "User_ID", userID);
	uexXmlHttpMgr.setPostData(14, 0,"User_name",userName);
	// uexXmlHttpMgr.setPostData(14, 0,"status",VERSION);
	uexXmlHttpMgr.setPostData(14, 0,"status",couponStatus);
	uexXmlHttpMgr.setPostData(14, 0,"currentPage",offset);
	uexXmlHttpMgr.setPostData(14, 0,"pageNum",iStep);
	uexXmlHttpMgr.send(14); 
	
	if(bLoadingToast)
	{
		uexWindow.toast(1,5,"正在努力加载中...",0);
	}
}


function cbHttpGetCoupons(opid, state, response)
{
      uexXmlHttpMgr.close(opid);
      //alert('返回数据=' + "opCode:" + opid + "<br> state:" + state + "<br> response:" + response); 
      if ((14==opid) && (1==state)) 
	  {   
	    var jResponse = JSON.parse(response);
	    var strHttpResult = jResponse.message;
		if ("SUCCESS00A" == strHttpResult) 
		{
			bLoadingToast = false;
			reLogin(httpGetCoupons);
		}
		else if("success" == strHttpResult)
        {
			resetTosatAndBV();
			addNewCouponsToList(jResponse.data);
		}
		else
		{
			resetTosatAndBV();
			uexWindow.toast('0',"5","获取优惠券列表失败！",2000);
		}
		
       }
	   else if((14==opid)&&(-1==state))
	   {
	   		resetTosatAndBV();
		   uexWindow.alert("提示","加载失败，请检查网络状态!","确定");
	   }
}


function resetTosatAndBV()
{
	bLoadingToast = true;
	uexWindow.closeToast();
	
	if(isPullDown)
	{
		isPullDown = false;
		resetBV("0");
	}
	
	if(isPullUp)
	{
		isPullUp = false;
		resetBV("1");
	}
}


function pullDownToRefresh()
{
   isPullDown = true;
   //因为加载的时候有加载提示，所以无需再另行提示；
   bLoadingToast = false;
   offset = 0;
   clear();
   httpGetCoupons();
}

function pullUpToLoadMore()
{ 
	isPullUp = true;
	bLoadingToast = false;
	httpGetCoupons();
}


function clear()
{
	arrCoupons.length =0;
	document.getElementById("id_coupons").innerHTML = "";
}


function addNewCouponsToList(_jCoupons)
{    
	var totalNum = _jCoupons.num;
	var iCurCouponsNum = _jCoupons.listData.length;
	if(('0'==totalNum) || (0==totalNum))
	{
		showNoOrderInfor();
	}
	else
	{
		if(0 == iCurCouponsNum)
		{
			uexWindow.toast('0',"5","已加载所有优惠券！",2000);
			return;
		}
		else
		{
			offset += iStep;
			hideNoOrderInfor();
			for(var i=0; i<iCurCouponsNum; i++)
			{
				var orderItem =  _jCoupons.listData[i];
				arrCoupons.push(orderItem);
			}
			
			setCouponsToList(_jCoupons.listData);
		}
	}
}

function setCouponsToList(_arrCoupons)
{
    var tmpl = '${cb:stamp_style}'
                    +'   <div style="border-bottom:2px dashed rgba(255, 255, 255, .5);height: 4.815em;" class="">'
                    +'        <div class="par">'
                    +'           <p class="title">${CouponName}</p>'  
                    +'           <span>${cb:show_value}</span>'
                    +'         </div>'
                    +'        <div class="copy">'
                    +'             <p class="ulim-1">${TypeRange}</p>'
                    +'            <p>${cb:use_condition}</p>'
                    +'        </div>'
                    +'   </div>'
                    +'  <div class="ub uinn ufr ulev-2 time-lab">'
                    +'      <p>${StartTime}-${EndTime}</p>'
                    +'  </div>'
                    +'   <i></i>'
                    +' ${cb:used-signet}'
                    +' </div>';

	var strHtml = zy_tmpl(tmpl, _arrCoupons, zy_tmpl_count(_arrCoupons),tmpleCb);
	var d = document.createElement('DIV');
  	d.innerHTML=strHtml;
	$$("id_coupons").appendChild(d);
}

function tmpleCb(a, b){
    switch (b[1]) {
		case 'stamp_style':
		     return showStampBgByCode(couponStatus);
	    case 'use_range':
			 if(!isDefine(a.TypeRange))
			 {
			 	return "全类别可用";
			 }
			 else
			 {
			 	return a.TypeRange;
			 }
		case "use_condition":
			if('0' == a.limitValue)	 
			{
				return "无订单抵扣限制"
			}
			else
			{
				return "订单满"+a.limitValue+"元可用";
			}
		case "used-signet":
		   if('1' == couponStatus)	
		   {
		   		return '<img src="./css/myImg/used_signet.png"/>';
		   }
		   else if('2' == couponStatus)
		   {
		   		return '<img src="./css/myImg/expired_signet.png"/>';
		   }
		   else
		   {
		   	 	return '';
		   }
		   case "show_value":
		   if(isDefine(a.showValue))
		   {
		       return "￥"+toDecimal2(a.showValue);
		   }
		   
	}
}

function showStampBgByCode(_couponStatus)
{
	switch(_couponStatus)
	{
		case '0':
			return '<div class="stamp stamp02">';
		case '2':
			return '<div class="stamp stamp02-gray">';
		case '1':
			return '<div class="stamp stamp02-used">';
	}
}


function showNoOrderInfor()
{
	if(!bShowNoResult)
	{
		var noCouponsDiv = document.getElementById("id_show_no_coupons");
		noCouponsDiv.className="ub-fv ub ub-ac ub-pc  t-gra  ub-ver";
		bShowNoResult = true;
	}

}
function hideNoOrderInfor()
{
	if(bShowNoResult)
	{
		var noCouponsDiv = document.getElementById("id_show_no_coupons");
		noCouponsDiv.className="uhide";
		bShowNoResult = false;
	}
}


//制保留2位小数，如：2，会在2后面补上00.即2.00  
        function toDecimal2(x) 
        {  
            var f = parseFloat(x);  
            if (isNaN(f)) 
            {  
                return false;  
            }  
            var f = Math.round(x*100)/100;  
            var s = f.toString();  
            var rs = s.indexOf('.');  
            if (rs < 0) 
            {               //找不到小数点
                rs = s.length;      
                s += '.';  
            }  
            while (s.length <= rs + 2) 
            {  
                s += '0';       //字符串长度自增
            }  
            return s;  
        }  